{
  "type": "module",
  "name": "frontend",
  "version": "6.0.0",
  "private": true,
  "scripts": {
    "local": "vite --mode test",
    "dev": "vite --mode development",
    "prod": "vite --mode production",
    "build": "vite build --mode production",
    "build-test": "vite build --mode test",
    "build-dev": "vite build --mode development",
    "build-prod": "vite build --mode production",
    "preview": "vite preview --mode production",
    "preview-test": "vite preview --mode test",
    "preview-dev": "vite preview --mode development",
    "preview-prod": "vite preview --mode production",
    "lint": "eslint src/**/*.{vue,js}"
  },
  "engines": {
    "node": ">= 20.14.0"
  },
  "dependencies": {
    "axios": "^1.7.7",
    "jquery": "^3.7.1",
    "jquery-ui": "^1.14.1",
    "jquery.fancytree": "^2.38.4",
    "lodash": "^4.17.21",
    "moment": "^2.30.1",
    "realgrid": "^2.8.5",
    "tiny-emitter": "^2.1.0",
    "vue": "^3.4.27",
    "vue-flatpickr-component": "^11.0.5",
    "vue-i18n": "^9.13.0",
    "vue-multiselect": "^3.1.0",
    "vue-router": "^4.3.1",
    "vuedraggable": "^4.1.0",
    "vuex": "^4.1.0"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.10.0",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vitejs/plugin-vue-jsx": "^3.1.0",
    "@vue/eslint-config-prettier": "^9.0.0",
    "dotenv": "^16.0.3",
    "eslint": "^9.3.0",
    "eslint-plugin-vue": "^9.26.0",
    "less": "^4.1.3",
    "prettier": "^3.2.5",
    "vite": "^5.2.12"
  }
}
